# Generated by Django 2.1.5 on 2021-03-01 13:17
# flake8: noqa E501

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Concept',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('identifier', models.TextField()),
            ],
            options={
                'db_table': 'concept',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Definition',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('identifier', models.TextField(blank=True, null=True)),
                ('lang', models.TextField()),
                ('text', models.TextField()),
                ('concept', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='TM.Concept')),
            ],
            options={
                'db_table': 'definition',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='ExternalReference',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('target_url', models.TextField()),
                ('concept', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='TM.Concept')),
            ],
            options={
                'db_table': 'external_reference',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Label',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('identifier', models.TextField(blank=True, null=True)),
                ('lang', models.TextField()),
                ('text', models.TextField()),
                ('is_preferred', models.TextField()),
                ('concept', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='TM.Concept')),
            ],
            options={
                'db_table': 'label',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Provider',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.TextField()),
                ('url', models.TextField(blank=True, null=True)),
                ('description', models.TextField(blank=True, null=True)),
            ],
            options={
                'db_table': 'provider',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Reference',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('concept', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='TM.Concept')),
                ('target_concept', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reference_target_concept', to='TM.Concept')),
            ],
            options={
                'db_table': 'reference',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Relation',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('identifier', models.TextField(blank=True, null=True)),
                ('type', models.TextField()),
                ('other_concept', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='obj', to='TM.Concept')),
                ('this_concept', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subj', to='TM.Concept')),
            ],
            options={
                'db_table': 'relation',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='SortOrderHit',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('position_hit', models.IntegerField()),
                ('concept', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='TM.Concept')),
            ],
            options={
                'db_table': 'sort_order_hit',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Variant',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('text', models.TextField()),
                ('comment', models.TextField(blank=True, null=True)),
                ('label', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='TM.Label')),
            ],
            options={
                'db_table': 'variant',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Vocabulary',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('status', models.TextField(blank=True, null=True)),
                ('domain', models.TextField(blank=True, null=True)),
                ('name', models.TextField()),
                ('version', models.TextField(blank=True, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('base_url', models.TextField(blank=True, null=True)),
                ('access_level', models.CharField(choices=[('private', 'privat'), ('public_visible', 'öffentlich sichtbar'), ('modifiable_by_others', 'durch andere Nutzer veränderbar')], max_length=20)),
                ('owner', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='TM.Provider')),
            ],
            options={
                'db_table': 'vocabulary',
                'managed': True,
            },
        ),
        migrations.AddField(
            model_name='concept',
            name='vocab',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='TM.Vocabulary'),
        ),
    ]
